import os

if os.getuid() != 0:
    print("Operation not permitted!")
    print("Use SuperUser to run the script!")
    exit(-1)

try:
    versionCheck = open("/etc/centos-release", "r")
except FileNotFoundError:
    print("This OS release is not supported")
    exit(-1)

version = versionCheck.read()

if (version.find(" 6.") == -1):
    print("CentOS Version not supported!")
    exit(-1)
else:
    print("Starting the evaluation script")


print()
print()
print()

baseAmeyoPackageList = ["vlgothic-fonts","procps","yajl","system-config-date","filesystem","perl","mesa-libGL","ncurses-base","neon","shadow-utils","clufter-bin","libcap","bluez-libs","anaconda","pkgconfig","fprintd-pam","nss-sysinit","centos-indexhtml","pacemaker","hmaccalc","ppp","openssh-server","shared-mime-info","cups-libs","at","xorg-x11-fonts-100dpi","libepoxy","postgresql93","rng-tools","cyrus-sasl-lib","drishti-logo","perl-Date-Manip","gdk-pixbuf2","pyparted","bind-utils","keyutils-libs","libtheora","libsoup","grub","jwhois","gdbm-devel","lame","libusb","mlocate","gd","zenity","gd-devel","rpm-libs","system-config-users-docs","crash","zlib-devel","lohit-oriya-fonts","db4-devel","dmraid-events","tcsh","libxcb","lohit-assamese-fonts","ttmkfdir","libcroco","lftp","libXdamage","kurdit-unikurd-web-fonts","libselinux-utils","setools-gui","xcb-util","compat-readline5","openssl","crontabs","control-center-filesystem","libart_lgpl","dos2unix","mcpp","python-pycurl","libselinux","keyutils","finger","hdparm","ruby-irb","diffutils","postgresql93-debuginfo","gnome-bluetooth-libs","python-six","kbd","cracklib","ql23xx-firmware","liboil","ipmitool","pakchois","telnet","gettext","ghostscript","redhat-lsb-graphics","python-slip","abrt-libs","libXau","pygtk2","abrt-addon-ccpp","perl-TimeDate","libproxy-bin","iproute","xkeyboard-config","libnfnetlink","device-mapper","glibc","openssh","libtar","libX11","postgresql93-libs","mesa-libgbm","bfa-firmware","dosfstools","libacl","lldpad","numactl","libgcrypt","device-mapper-multipath-libs","findutils","pygpgme","rsyslog","un-core-dotum-fonts","fontconfig-devel","deltarpm","dnsmasq","perl-Pod-Escapes","libwvstreams","vlgothic-fonts-common","libdrm-devel","compat-openldap","elfutils-libs","vim-filesystem","gamin-python","pacemaker-libs","oracle-instantclient11.2-basic","mesa-libGLU","hwdata","readline","sysstat","libtirpc","libXaw","system-gnome-theme","libSM","foomatic","fetchmail","file","libXxf86misc","atk","crda","c-ares-devel","e2fsprogs","libxcb-devel","usermode","ypbind","ledmon","libvorbis","cyrus-sasl","libreport-gtk","poppler-utils","cloog-ppl","cryptsetup-luks-libs","libpcap","gdb","polkit","system-config-keyboard","libcap-ng","stunnel","perl-URI","tmpwatch","libjpeg-turbo-devel","pam_pkcs11","lsof","freetype-devel","metacity","logwatch","dejavu-serif-fonts","libuser","libsepol-devel","tigervnc-server","tigervnc","madan-fonts","perl-devel","tokyocabinet","newt-devel","jomolhari-fonts","ORBit2","minicom","dejavu-sans-fonts","libgomp","urlview","wireless-tools","lua","scl-utils","rpm-python","rubygems","libXext","btparser","yum","uuid","tcp_wrappers-libs","b43-fwcutter","yum-utils","ncurses","ql2400-firmware","ccs","system-icon-theme","hal","zd1211-firmware","corosync","libsysfs","hicolor-icon-theme","plymouth-core-libs","dbus-python","gnome-bluetooth","lcms-libs","libreport-python","pygobject2","tk","libreport-cli","pyOpenSSL","libreport-plugin-logger","python-decorator","flac","libgcc","util-linux-ng","python-argparse","ecryptfs-utils","bash","dracut","libcurl","mtools","glib2","modcluster","xorg-x11-font-utils","grep","foomatic-db-ppds","iwl6000-firmware","tcp_wrappers-libs","gvfs","readahead","libpng","libvirt-client","pam_ldap","iptstate","ghostscript-fonts","libblkid","httpd","apr-util-ldap","p11-kit-trust","fontpackages-filesystem","libmcrypt","libssh2","dejavu-fonts-common","gstreamer-plugins-base","paktype-fonts-common","un-core-fonts-common","fipscheck-lib","mailcap","cyrus-sasl-md5","bwidget","sound-theme-freedesktop","mobile-broadband-provider-info","dmz-cursor-themes","gstreamer-tools","poppler-data","gamin","cjkuni-fonts-common","dbus-glib","libjpeg-turbo","augeas-libs","libXdamage-devel","usermode-gtk","libnl","perl-Net-Telnet","ModemManager","mesa-dri1-drivers","grubby","phonon-backend-gstreamer","freetds","xmlrpc-c","rarian","libfprint","pinentry","xulrunner","nc","libidn","libmetalink","tcl","libzip5","libcdio","postgresql93-contrib","libconfig","libXmu","libgssglue","dash","pciutils-libs","libsemanage","libXpm","libutempter","lm_sensors-libs","apr-util","cifs-utils","libglade2","libedit","hal-info","unique","makebootfat","gsm","redhat-logos","hesiod","python-lxml","libXdmcp","cracklib-python","libmng","openaislib","setools-libs-tcl","gnome-python2","automake","pyxf86config","openobex","libproxy-python","libsamplerate","python-suds","checkpolicy","libgnomeui","curl","iwl1000-firmware","xmlrpc-c-client","liberation-sans-fonts","iwl6050-firmware","ethtool","iwl6000g2a-firmware","notification-daemon","speex","slang","esound-libs","xorg-x11-fonts-misc","obexd","samba-winbind-clients","libXfixes","ntpdate","gdbm","wpa_supplicant","perl-libs","mesa-dri-filesystem","libXrandr","libcurl-devel","xorg-x11-drv-evdev","coreutils","m2crypto","vim-common","ca-certificates","pcs","e2fsprogs-libs","sysfsutils","mesa-libGL-devel","module-init-tools","firstboot","nss-softokn","cluster-glue","pulseaudio-module-bluetooth","mailx","xterm","pulseaudio-esound-compat","rpcbind","oracle-instantclient11.2-devel","arpwatch","logrotate","kexec-tools","apr","system-config-network-tui","libss","microcode_ctl","libhbaapi","sendmail","openjpeg-libs","libXdmcp-devel","iptables-ipv6","libusb1","pam_krb5","gnutls-devel","poppler","t1lib","python-dateutil","fence-virt","compat-libtermcap","blktrace","ConsoleKit","xorg-x11-twm","gnome-vfs2","cpp","bison","wget","libXext-devel","perl-Digest-SHA1","perl-Test-Simple","gtk2","cyrus-sasl-plain","gnupg2","libgcrypt-devel","udftools","usbutils","tar","aspell","nss_compat_ossl","openldap","lohit-gujarati-fonts","openssl098e","mesa-private-llvm","lohit-kannada-fonts","psacct","perl-ExtUtils-MakeMaker","stix-fonts","mutt","xorg-x11-xkb-utils","lohit-tamil-fonts","kernel-devel","upstart","lklug-fonts","xorg-x11-xauth","libselinux-devel","libhugetlbfs","rsh","iw","lohit-bengali-fonts","efibootmgr","lldpad-libs","talk","libreoffice-opensymbol-fonts","python-libs","rdist","glibc","libuser-python","tree","libcom_err","yum-plugin-fastestmirror","eject","krb5-libs","ruby-libs","omping","system-config-users","ql2500-firmware","python-dmidecode","iwl4965-firmware","python-setuptools","bison-devel","mysql-libs","ipw2100-firmware","corosynclib","ql2200-firmware","pacemaker-cluster-libs","iwl3945-firmware","mtdev","libtasn1-devel","libreport-filesystem","libreport","redhat-lsb-compat","abrt-tui","keyutils-libs","abrt-python","libtool","abrt-addon-python","libdrm","gpg-pubkey","plymouth","setup","policycoreutils","libX11-common","mdadm","nss-softokn-freebl","pcsc-lite","nss-util","oddjob","dbus-libs","nfs-utils-lib","krb5-libs","ricci","expat","kernel","json-c","gnome-disk-utility-libs","freetype","lvm2","elfutils-libelf","fcoe-utils","libXrender","selinux-policy","file-libs","cronie","libgudev1","khmeros-base-fonts","xml-common","qt-sqlite","iso-codes","basesystem","smc-fonts-common","OpenIPMI-libs","ncurses-libs","qt3","zlib","info","bzip2-libs","busybox","gstreamer","comps-extras","libxkbfile","startup-notification","libtool-ltdl","libXpm-devel","parted","perl-YAML-Syck","libxslt","postgresql93-server","rmt","libogg","libatasmart","qt-x11","pcre","libgpg-error-devel","hal-libs","cluster-glue-libs","python-meh","eggdbus","libgnome","fprintd","libIDL","libbonoboui","desktop-file-utils","libao","m4","python-pyblock","gnome-doc-utils-stylesheets","ed","authconfig-gtk","libXcursor","setools-libs","cdparanoia-libs","trousers","libmcpp","system-config-date-docs","libXcomposite","sgpio","quota","xz","lrzsz","libthai","hunspell","libgnomecanvas","system-config-firewall-base","less","gtk2-engines","cracklib-dicts","libevent","cairo","system-setup-keyboard","libvisual","libasyncns","libaio","yum-metadata-parser","openais","system-config-keyboard-base","sgml-common","pycairo","autoconf","gnome-python2-canvas","arptables_jf","mpfr","python-iniparse","pexpect","libvpx","AmeyOS6-patcher","syslinux","satyr","mgetty","gnome-keyring","isdn4k-utils","procmail","b43-openfwwf","c-ares","iwl100-firmware","libdaemon","libnotify","mcstrans","lzo","mozilla-filesystem","PyGreSQL","prelink","gpgme","cvs","smc-meera-fonts","libXtst","samba-common","libqb","ntp","perl-version","NetworkManager","pulseaudio-libs","mesa-dri-drivers","coreutils-libs","xorg-x11-drv-vesa","dbus","clufter-common","gzip","vim-enhanced","binutils","firefox","xorg-x11-fonts-Type1","sqlite","libsmbclient","nss-tools","selinux-policy-targeted","elinks","cpio","autofs","wvdial","plymouth-scripts","pssh","gnutls-utils","rdma","libkadm5","avahi","xorg-x11-fonts-ISO8859-1-100dpi","dmidecode","nss-pam-ldapd","pixman","smartmontools","pinfo","glibc-devel","abrt-cli","pam_passwdqc","libcanberra","paps","libhbalinux","ruby-rdoc","hunspell-en","ConsoleKit-libs","nmap","avahi-autoipd","openssl-devel","redhat-menus","libXfixes-devel","gcc-c++","perl-String-CRC32","pango","man-pages-overrides","rsync","libpng-devel","sudo","ftp","vim-minimal","e2fsprogs-devel","attr","rpm","systemtap-runtime","sil-padauk-fonts","device-mapper-persistent-data","ksh","perl-Test-Harness","redhat-rpm-config","paktype-tehreer-fonts","libstdc++-devel","perl-CGI","lohit-devanagari-fonts","libnih","avahi-compat-libdns_sd","liberation-serif-fonts","portreserve","libXv","lohit-punjabi-fonts","lame-libs","compat-xcb-util","lohit-telugu-fonts","libnl3","strace","mtr","python","rdate","newt-python","nss-softokn-freebl","setserial","python-urlgrabber","libXi","vconfig","net-snmp-libs","openssl098e","rfkill","net-snmp-utils","man-pages","pykickstart","rt61pci-firmware","wireshark","words","libarchive","ql2100-firmware","librdmacm","iwl5000-firmware","pacemaker-cli","rootfiles","paps-libs","libXfont","kernel-firmware","redhat-lsb-core","libreport-compat","redhat-lsb","libreport-plugin-mailx","libreport-plugin-ureport","libxcb","abrt-addon-kerneloops","centos-release","centos-release-scl-rh","iputils","xorg-x11-proto-devel","udev","foomatic-db-filesystem","device-mapper-event-libs","glibc-common","cups","libselinux","openssh-clients","libxml2","postfix","libstdc++","mesa-libEGL","db4","dracut-kernel","libudev","udisks","libuuid","lvm2-libs","avahi-libs","device-mapper-multipath","psmisc","cman","libtalloc","cronie-anacron","libXi","python-deltarpm","samba-winbind","liberation-fonts-common","perl-Module-Pluggable","khmeros-fonts-common","iscsi-initiator-utils","libsmi","gmp","xorg-x11-server-Xorg","alsa-lib","tigervnc-server-module","libpciaccess","mod_ssl","popt","dump","xz-lzma-compat","pcsc-lite-libs","redhat-bookmarks","irqbalance","libsepol","libXres","avahi-glib","biosdevname","sed","gpm","libXau-devel","libcom_err-devel","libcgroup","libgpg-error","expect","glibc-headers","libreport-newt","ppl","sg3_utils","cryptsetup-luks","yum-plugin-security","nss_db","nscd","tcpdump","perl-Crypt-PasswdMD5","MAKEDEV","libXft","passwd","amtu","rtkit","acl","gnome-user-docs","krb5-workstation","wqy-zenhei-fonts","man","python-cryptsetup","audit","libtasn1","isomd5sum","perl-ExtUtils-ParseXS","ntsysv","libXt","tibetan-machine-uni-fonts","time","GConf2","patch","libXinerama","paktype-naqsh-fonts","squashfs-tools","gcc","python-iwlib","unzip","which","symlinks","libxml2-python","libX11","libXxf86vm","smp_utils","libselinux-python","libXtst","bridge-utils","createrepo","groff","ipw2200-firmware","httpd-tools","pm-utils","fontconfig","ivtv-firmware","pax","clusterlib","atmel-firmware","libfontenc","sysvinit-tools","libreport-plugin-rhtsupport","pciutils","zlib","python-nss","libreport-plugin-kerneloops","crmsh","p11-kit","dhcp-common","libsndfile","centos-release-scl","initscripts","tzdata","libnghttp2","kpartx","syslinux-nonlinux","chkconfig","dhclient","postgresql93-devel","audit-libs","foomatic-db","iwl5150-firmware","gawk","device-mapper-event","cpuspeed","audiofile","libtdb","fence-agents","cjkuni-uming-fonts","obex-data-server","libtevent","anaconda-yum-plugins","rp-pppoe","libX11-devel","qt","libxshmfence","freeipmi","perl-Pod-Simple","fipscheck","thai-scalable-fonts-common","xorg-x11-drv-void","python-psutil","pam","docbook-dtds","libattr","python-clufter","sox","net-tools","conman","nss","libICE","gvfs-obexftp","NetworkManager-glib","setools-console","coolkey","esound-tools","libtiff","acpid","mkbootdisk","sg3_utils-libs","libXxf86vm-devel","virt-what","jasper-libs","xz-libs","wireshark-gnome","glib-networking","keyutils-libs-devel","audit-libs-python","flex","elfutils","unixODBC","libcanberra-gtk2","kernel-devel","gnome-icon-theme","rarian-compat","gnome-themes","ncurses-devel","db4-utils","libbonobo","yelp","bzip2","alsa-utils","liberation-mono-fonts","db4-cxx","libssh2-devel","dmraid","libXau","xorg-x11-server-utils","abyssinica-fonts","xorg-x11-server-common","nano","tcp_wrappers","dejavu-sans-mono-fonts","krb5-devel","setuptool","zip","make","xorg-x11-drv-ati-firmware","unix2dos","python-ethtool","ustr","yp-tools","glibc-devel","traceroute","ruby","wavpack","libertas-usb8388-firmware","sos","libwnck","kbd-misc","rt73usb-firmware","bind-libs","mingetty","gnu-efi","libevdev","libffi","kernel","xdg-utils","urw-fonts","authconfig","libibverbs","redhat-lsb-printing","libreport-plugin-reportuploader","genisoimage","abrt","pygtk2-libglade","pcmciautils","iptables","libproxy","system-config-firewall-tui","lockdev","kernel-headers","device-mapper-libs","libnetfilter_conntrack","setools","bc","nspr","ccid","postgresql93-plpython","snappy","libcom_err","nfs-utils","aic94xx-firmware","pth","libXext","pulseaudio","gpm-libs","gnutls","resource-agents","OpenIPMI","slang-devel","newt","bluez","thai-scalable-waree-fonts", "java_cup", "libart_lgpl-devel", "libidn-devel", "libsrtp-devel", "libusb-devel", "perl-BSD-Resource", "perl-Class-MethodMaker", "perl-Config-General", "perl-IO-String", "perl-Parse-Yapp", "perl-Term-ProgressBar", "perl-Text-Iconv", "perl-XML-DOM", "perl-XML-DOM-XPath", "perl-XML-RegExp", "perl-XML-XPathEngine", "postgresql93-jdbc", "postgresql93-plpython", "jansson-devel", "php-mbstring", "php-cli", "php-pgsql", "php-common", "php", "php-pecl-zip", "php-mssql", "php-soap", "php-pdo", "php-opcache", "php-pear", "php-pecl-jsonc", "php-mcrypt", "php-bcmath", "php-mcrypt", "jdk1.8.0_144", "libxml2-devel", "opus-devel", "libvorbis-devel", "gsm-devel", "ameyo-amd16", "php-opcache", "hiredis", "jansson-devel", "php-pecl-zip", "ameyo-asterisk13", "php-pgsql", "php-cli", "ameyo-djinn", "acp", "php-mbstring", "libsrtp", "jansson", "hiredis-devel", "pjproject", "libuuid-devel", "speex-devel", "php", "php-pecl-jsonc", "ameyo-codecs13", "ameyocrm", "php-pdo", "php-bcmath", "libogg-devel", "sqlite2", "opus", "libresample-devel", "libxslt-devel", "corosynclib-devel", "libtool-ltdl-devel", "ameyo-codecs16", "ameyo-server", "php-pear", "libresample", "sqlite2-devel", "php-common", "xmlstarlet", "epel-release", "ameyo-art", "asterisk13-dependencies-centos-6.5", "sqlite-devel", "libsrtp-devel", "libedit-devel", "jdk1.8", "openldap-devel", "php-mbstring", "libical-devel", "subversion", "lua-devel", "ameyo-djinn", "rpm-build", "byacc", "perl-Module-Load", "perl-File-Fetch", "perl-Archive-Tar", "perl-CPAN", "ameyo-monitor", "php-cli", "php-pgsql", "portaudio-devel", "jack-audio-connection-kit-devel", "speex-devel", "mysql-devel", "gettext-libs", "perl-IO-Compress-Base", "perl-libwww-perl", "systemtap-client", "rcs", "perl-Log-Message", "perl-Parse-CPAN-Meta", "perl-DBIx-Simple", "perl-Time-Piece", "php-common", "libsrtp", "portaudio", "libresample", "lm_sensors-devel", "ameyo-codecs16", "opus-devel", "mysql", "ameyo-art", "perl-Locale-Maketext-Simple", "perl-IPC-Cmd", "perl-Term-UI", "perl-Digest-SHA", "php", "php-pecl-zip", "hiredis", "neon-devel", "php-mssql", "sqlite2-devel", "php-soap", "corosynclib-devel", "spandsp-devel", "libsrtp-devel", "unixODBC-devel", "gsm-devel", "gettext-devel", "perl-Compress-Raw-Zlib", "git", "perl-HTML-Parser", "libgfortran", "systemtap-devel", "patchutils", "swig", "diffstat", "perl-Module-Loaded", "perl-DBI", "perl-Module-Build", "perl-parent", "ameyo-asterisk13", "libtiff-devel", "elfutils-devel", "libical", "sqlite2", "expat-devel", "ameyo-codecs13", "asterisk13-dependencies-centos-6.7", "ameyo-server", "perl-Module-Load-Conditional", "perl-Log-Message-Simple", "perl-Object-Accessor", "php-pdo", "cyrus-sasl-devel", "radiusclient-ng-devel", "php-opcache", "libvorbis-devel", "libresample-devel", "libxslt-devel", "sqlite-devel", "bluez-libs-devel", "libedit-devel", "opus", "libgcj", "perl-Error", "perl-Compress-Zlib", "perl-HTML-Tagset", "gcc-gfortran", "rpm-devel", "indent", "cscope", "perl-ExtUtils-CBuilder", "perl-Module-CoreList", "perl-CPANPLUS", "perl-ExtUtils-Embed", "perl-core", "elfutils-libelf-devel", "libxml2-devel", "popt-devel", "libogg-devel", "radiusclient-ng", "php-pear", "iksemel-devel", "pjproject-devel", "libuuid-devel", "ameyo-amd16", "ameyocrm", "perl-IO-Compress-Zlib", "perl-XML-Parser", "systemtap", "ctags", "perl-Package-Constants", "perl-Compress-Raw-Bzip2", "perl-DBD-SQLite", "perl-Time-HiRes", "acp", "php-pecl-jsonc", "jack-audio-connection-kit", "pjproject", "file-devel", "iksemel", "php-mcrypt", "hiredis-devel", "php-bcmath", "jansson-devel", "libtool-ltdl-devel", "xmlstarlet", "net-snmp-devel", "jdk1.8", "perl-Git", "intltool", "doxygen", "perl-Params-Check", "perl-Archive-Extract", "perl-IO-Zlib", "perl-IO-Compress-Bzip2", "spandsp", "tcp_wrappers-devel", "jansson", "mx", "openoffice.org-opensymbol-fonts", "ameyo-jws-client", "php-devel", "xinetd", "sun-javadb-javadoc", "jdk", "sun-javadb-docs", "sun-javadb-client", "sun-javadb-core", "sun-javadb-common", "ameyo-asterisk16", "sun-javadb-demo", "ameyo-reports", "gnome-terminal", "ipa-client", "tzdata-java", "eog", "openssh-askpass", "latencytop", "zabbix-agent", "perf", "libopenraw-gnome", "jline", "libldb", "sinjdoc", "axis", "perl-XML-Twig", "crash-trace-command", "gnome-keyring-pam", "gdm-libs", "theora-tools", "gnome-media-libs", "festival", "libavc1394", "python-matplotlib", "postgresql93-plperl", "libgdata", "gstreamer-plugins-good", "sssd-ldap",  "gnome-panel-libs", "nautilus", "oddjob-mkhomedir", "plymouth-gdm-hooks", "gdm-user-switch-applet", "alsa-plugins-pulseaudio", "gok", "sssd-client", "hwloc", "iotop", "xml-commons-resolver", "mx4j-javadoc", "crash-gcore-command", "ltrace", "python-crypto", "polkit-gnome", "ConsoleKit-x11", "gnome-python2-gnomevfs",  "giflib", "pgdg-centos93", "pulseaudio-utils", "PackageKit", "postgresql93-tcl-debuginfo", "atlas", "sssd-common-pac", "gnome-python2-applet", "gnome-settings-daemon", "seekwatcher", "oprofile", "cas", "libopenraw"]

os.system("rpm -qa --qf '%{NAME},' > /tmp/pkgFile")
packageFile = open("/tmp/pkgFile", "r")
packagesInstalled = packageFile.read()
packagesInstalledList = packagesInstalled.split(",")

upgradable = True

print("Please connect with Ameyo Admins to inspect these packages: ")
for package in packagesInstalledList:
    if package not in baseAmeyoPackageList:
        upgradable = False
        print(package)

print()
print()
print()

if upgradable:
    print("No issue in upgrading, you may proceed with the upgrade.")